<?php
/*
Plugin Name: Facepalm Smiley
Plugin URI: http://www.tamagothi.de/software/wordpress/
Description: Just replace <code>m(</code> by a facepalming smiley.
Author: Elias Schwerdtfeger
Author URI: http://www.tamagothi.de/
Version: 1.0
*/

/**
 * Copy?Right! 2012 Elias Schwerdtfeger
 *
 * This file is free software, licensed under the terms of the pirate's
 * license. You can do with it, whatever you like, as long as you do not
 * sue me. If you want to use it and to sue me, please ask me for a 
 * commercial license.
 *
 * For details (in german language) read
 * http://www.tamagothi.de/impressum/lizenz/
 *
 * Share and Enjoy!
 **/



function facepalm_convert_smiley ($text)
{
  // Quick and dirty code! Not robust! 
  if (get_option ('use_smilies'))
    {
      $dir = plugin_dir_url (__FILE__);
      $imgurl = $dir . '/img/facepalm.gif';
      $itag = '<img src="' . $imgurl . '" alt="m(" class="wp-smiley" />';
      return preg_replace ('/[mM]\(/', $itag, $text);
    }
}



add_filter ('the_content', 'facepalm_convert_smiley');
add_filter ('the_excerpt', 'facepalm_convert_smiley');
add_filter ('comment_text', 'facepalm_convert_smiley');


?>